#ifndef GMEPARSE_H
#define GMEPARSE_H

#define ANY_SECTION  0
#define SECTION_NONE 1
#define PROGRAMS     2
#define GRAPHICS     3
#define SOUND        4
#define UNITS        5
#define COMMANDS     6
#define RESOURCES    7
#define NUM_SECTIONS 8


typedef void (*PARSER_FUNCTION)(PACKFILE *f);

extern void parse_gme_file(char *filename, int wanted_section);
extern void register_parser_function(PARSER_FUNCTION func, int section);
extern void initialize_gme_parser(void);
#endif
